ruby环境配置

设备:Mac

步骤0 - 安装系统需要的包

# For Mac

# 先安装 [Xcode](http://developer.apple.com/xcode/) 开发工具,它将帮你安装好 Unix 环境需要的开发包

# 然后安装 [Homebrew](http://brew.sh)

$ruby -e"$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

OS X 安装 Rails 必要的一些三方库

$brew install libxml2 libxslt libiconv

步骤1 - 安装 RVM

$ curl -L https://get.rvm.io | bash -s stable

$ source ~/.rvm/scripts/rvm    (配置rvm环境,重新开terminal会自动配置)

检查是否安装成功: $ rvm -v

ruby:  $ rvm list known  (获得ruby版本列表)

$ rvm install 2.4.0(安装ruby版本 ,可能需要管理员权限,使用sudo. $ sudo rvm install 2.0.0)

备注:查询已经安装的ruby: $ rvm list

卸载一个已安装版本 : $ rvm remove 2.0.0

RVM 装好以后,若以前已存在旧版本,需要执行下面的命令将指定版本的 Ruby 设置为系统默认版本

$ rvm 2.3.0 --default


参考链接:https://ruby-china.org/wiki/install_ruby_guide/ 
               http://blog.csdn.net/wzz_580640/article/details/51865360 

推荐阅读更多精彩内容